[Cdd-commits] r1140 - cdd/trunk/blends/devtools

CDD Subversion Commit noreply at alioth.debian.org
Wed Oct 22 08:11:32 UTC 2008


Author: tille
Date: Wed Oct 22 08:11:32 2008
New Revision: 1140

Added:
   cdd/trunk/blends/devtools/blend-gen-control
      - copied, changed from r1137, cdd/trunk/blends/devtools/dis-gen-control
   cdd/trunk/blends/devtools/blend-get-names
      - copied, changed from r1137, cdd/trunk/blends/devtools/dis-get-names
   cdd/trunk/blends/devtools/blend-install-helper
      - copied, changed from r1137, cdd/trunk/blends/devtools/dis-install-helper
Removed:
   cdd/trunk/blends/devtools/dis-gen-control
   cdd/trunk/blends/devtools/dis-get-names
   cdd/trunk/blends/devtools/dis-install-helper
Modified:
   cdd/trunk/blends/devtools/Makefile
   cdd/trunk/blends/devtools/rules
Log:
Commit renaming of devtools, further work needs to be done to make package building again


Modified: cdd/trunk/blends/devtools/Makefile
==============================================================================
--- cdd/trunk/blends/devtools/Makefile	(original)
+++ cdd/trunk/blends/devtools/Makefile	Wed Oct 22 08:11:32 2008
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # This Makefile is used to build a debian/control file
-# for a Debian Integrated Solution.
+# for a Debian Pure Blend.
 #
 # Copyright (C) Andreas Tille <tille at debian.org>
 # License: GPL
@@ -9,13 +9,13 @@
 # TARGET_DIST is one of stable, sarge, etch, unstable, or any other available
 # sources.list file available
 TARGET_DIST := $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')
-DIS := $(shell /usr/share/dis-dev/dis-get-names disname)
-GENCONTROL := /usr/share/dis-dev/dis-gen-control
+BLEND := $(shell /usr/share/blends-dev/blend-get-names blendname)
+GENCONTROL := /usr/share/blends-dev/blend-gen-control
 
 # Verify whether config/control exists, if yes, add it to the depends of debian/control
 CONFIGCONTROL := $(shell if [ -d config -a -e config/control ] ; then echo config/control; fi)
 
-all: $(DIS)-tasks.desc debian/control
+all: $(BLEND)-tasks.desc debian/control
 
 debian/control: debian/control.stub debian/changelog tasks/* $(CONFIGCONTROL)
 	(echo "XS-Comment: This file is autogenerated via "make -f debian/rules dist".  Do not edit!"; \
@@ -23,9 +23,9 @@
 	 test -f config/control && ( cat config/control; echo ) ; \
 	$(GENCONTROL) -s $(TARGET_DIST) -D -c -m -i -A) > $@.new && mv $@.new $@
 
-tasksel: $(DIS)-tasks.desc
-$(DIS)-tasks.desc: tasks/* debian/changelog
-	$(GENCONTROL) -s $(TARGET_DIST) -t -A > $(DIS)-tasks.desc.new && mv $(DIS)-tasks.desc.new $(DIS)-tasks.desc
+tasksel: $(BLEND)-tasks.desc
+$(BLEND)-tasks.desc: tasks/* debian/changelog
+	$(GENCONTROL) -s $(TARGET_DIST) -t -A > $(BLEND)-tasks.desc.new && mv $(BLEND)-tasks.desc.new $(BLEND)-tasks.desc
 
 packages.txt: tasks/*
 	$(GENCONTROL) -s $(TARGET_DIST) -a > packages.txt.$$$$ && mv packages.txt.$$$$ packages.txt
@@ -51,7 +51,7 @@
 
 distclean: clean
 	rm -f debian/control
-	rm -f $(DIS)-tasks.desc
+	rm -f $(BLEND)-tasks.desc
 
-dist: $(DIS)-tasks.desc debian/control
+dist: $(BLEND)-tasks.desc debian/control
 	make -f debian/rules get-orig-source

Copied: cdd/trunk/blends/devtools/blend-gen-control (from r1137, cdd/trunk/blends/devtools/dis-gen-control)
==============================================================================
--- cdd/trunk/blends/devtools/dis-gen-control	(original)
+++ cdd/trunk/blends/devtools/blend-gen-control	Wed Oct 22 08:11:32 2008
@@ -5,9 +5,9 @@
 #       Andreas Tille <tille at debian.org>
 # Date:   2001-08-23
 #
-# # $Id: dis-gen-control 448 2007-08-11 08:02:48Z tille $
+# # $Id: blend-gen-control 448 2007-08-11 08:02:48Z tille $
 #
-# Generate the control file used by the DIS task package.
+# Generate the control file used by the Blend task package.
 
 use warnings;
 use strict;
@@ -27,9 +27,9 @@
 my $tasksdir = "tasks" ;
 my $taskcontrolfile = "tasks.ctl" ;
 
-my $aptsourcesdefaultlocation = "/etc/dis";
+my $aptsourcesdefaultlocation = "/etc/blends";
 my $aptsources = $aptsourcesdefaultlocation . "/sources.list";
-my $dis_dev_dir = "/usr/share/dis-dev";
+my $blend_dev_dir = "/usr/share/blends-dev";
 
 my %commondepends ;
 $commondepends{"adduser"}    = "0" ;
@@ -38,14 +38,14 @@
 
 my $CommonPackage = "" ;
 my $prefix        = "test-" ;
-my $disname       = "" ;
-my $disshortname  = "" ;
+my $blendname       = "" ;
+my $blendshortname  = "" ;
 my $tasksname     = "" ;
 my $hasconfig     = 0 ;
 
 sub usage() {
     print STDERR << "EOF";
-dis-gen-control help screen
+blend-gen-control help screen
 usage: $0 [options]
 
    -a               : print wanted packages
@@ -86,15 +86,15 @@
 $nodepends = 1 if ($opts{'D'});
 $ignoreapterrors = 1 if ($opts{'A'});
 
-dis_init();
+blend_init();
 
-# print "$prefix ; $disshortname ; $disname ; $tasksname \n";
+# print "$prefix ; $blendshortname ; $blendname ; $tasksname \n";
 
 load_available_packages();
 
 load_tasks();
 
-# An ordered list of DIS tasks, in priority order of which are
+# An ordered list of Blend tasks, in priority order of which are
 # most needed on the CD. Only leaf tasks need be listed.
 my @priorityorder = get_priorities("priority-high", 1);
 my @medpriorder   = get_priorities("priority-med", 0);
@@ -241,7 +241,7 @@
                         $taskinfo{$task}{'Leaf'} eq 'false');
 
                 print "Task: $task\n";
-                print "Section: $disname\n";
+                print "Section: $blendname\n";
                 print "Description: $taskinfo{$task}{Description}\n";
                 print "$taskinfo{$task}{'Description-long'}"; # Already contain newline
                 print "Relevance: 10\n";
@@ -313,7 +313,7 @@
                 if (exists $taskinfo{$package}) {
                         # Add packages from task recursively, since
                         # tasksel does not support dependent tasks of
-                        # the type used by DIS
+                        # the type used by Blend
                         if (defined $includealldeps && $includealldeps) {
                                 for my $h (qw(Depends Recommends)) {
 
@@ -612,8 +612,8 @@
     return @list;
 }
 
-sub dis_init {
-    # initialise dis name and other basic stuff
+sub blend_init {
+    # initialise blend name and other basic stuff
     unless  ( -d "debian" ) {
 	mkdir("debian") || die "mkdir debian: $!";
     }
@@ -621,11 +621,11 @@
     unless ( -e "debian/control.stub" ) {
         print STDERR "No template debian/control.stub.  Use test prefix.\n" ;
     } else {
-        chomp($prefix = `$dis_dev_dir/dis-get-names metapackageprefix`) ;
+        chomp($prefix = `$blend_dev_dir/blend-get-names metapackageprefix`) ;
         $prefix = $prefix . "-" ;
 	$tasksname    = $prefix . "tasks";
-	chomp($disshortname = `$dis_dev_dir/dis-get-names disshortname`);
-	chomp($disname      = `$dis_dev_dir/dis-get-names disname`);
+	chomp($blendshortname = `$blend_dev_dir/blend-get-names blendshortname`);
+	chomp($blendname      = `$blend_dev_dir/blend-get-names blendname`);
     }
     if  ( -d "config" && -e "config/control" ) {
 	$hasconfig = 1;

Copied: cdd/trunk/blends/devtools/blend-get-names (from r1137, cdd/trunk/blends/devtools/dis-get-names)
==============================================================================
--- cdd/trunk/blends/devtools/dis-get-names	(original)
+++ cdd/trunk/blends/devtools/blend-get-names	Wed Oct 22 08:11:32 2008
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# Read DIS specific names from debian/control.stub
+# Read Blend specific names from debian/control.stub
 #
 # Copyright (C) Andreas Tille <tille at debian.org>
 # License: GPL
@@ -22,17 +22,17 @@
 
 if [ "$#" -ne 1 ] ; then
 	echo "Missing argument"
-	echo "Usage: $0 disname|disshortname|metapackageprefix"
+	echo "Usage: $0 blendname|blendshortname|metapackageprefix"
 	exit 64   #  EX_USAGE
 fi
 
 case "$1" in
-    disname)
+    blendname)
         grep '^Source:[[:space:]]*debian-' "$CONTROLFILE" | \
 	    sed 's/^Source:[[:space:]]*//'
 	exit 0
 	;;
-    disshortname)
+    blendshortname)
 	GetShortName
 	exit 0
 	;;
@@ -48,7 +48,7 @@
 	;;
     *)
 	echo "Unknown argument $1"
-	echo "Usage: $0 disname|disshortname|metapackageprefix"
+	echo "Usage: $0 blendname|blendshortname|metapackageprefix"
 	exit 64   #  EX_USAGE
 	;;
 esac

Copied: cdd/trunk/blends/devtools/blend-install-helper (from r1137, cdd/trunk/blends/devtools/dis-install-helper)
==============================================================================
--- cdd/trunk/blends/devtools/dis-install-helper	(original)
+++ cdd/trunk/blends/devtools/blend-install-helper	Wed Oct 22 08:11:32 2008
@@ -1,16 +1,16 @@
 #!/bin/sh
 
-dis=`/usr/share/dis-dev/dis-get-names metapackageprefix`
-menudir=usr/share/dis/"$dis"/menu
+blend=`/usr/share/blends-dev/blend-get-names metapackageprefix`
+menudir=usr/share/blends/"$blend"/menu
 
-SubstDISName () {
-    sed -e "s/#DIS#/${dis}/g" \
-        -e "s?\([/ ]\)\(config.templates:*\)?\1${dis}-\2?" \
-        -e "s/#DISNAME#/${DISNAME}/g" /usr/share/dis/templates/$1 >> \
+SubstBlendName () {
+    sed -e "s/#BLEND#/${blend}/g" \
+        -e "s?\([/ ]\)\(config.templates:*\)?\1${blend}-\2?" \
+        -e "s/#BLENDNAME#/${BLENDNAME}/g" /usr/share/blends/templates/$1 >> \
 	debian/$2
 }
 
-# Make dependency from menu containing packages to the right #DIS#-config version
+# Make dependency from menu containing packages to the right #BLEND#-config version
 version="(>= `dpkg-parsechangelog | grep "^Version:" | sed -e "s/^Version:[[:space:]]\+\([\.0-9]*\)[[:space:]]*/\1/"`)"
 
 # General Task registry, menu registration and post{inst,rm} preparation
@@ -23,8 +23,8 @@
 	# For the moment disable tasksel if there is no "Task:" tag given
     else
 	task=`grep -w "^Task:" tasks/"$pkg" | sed "s/^Task:[[:space:]]*\([^[:space:]]*\)/\1/"`
-	mkdir -p debian/"$dis"-"$pkg"/usr/share/dis/tasks/"$dis"/
-	echo "$task" > debian/"$dis"-"$pkg"/usr/share/dis/tasks/"$dis"/"$pkg"
+	mkdir -p debian/"$blend"-"$pkg"/usr/share/blends/tasks/"$blend"/
+	echo "$task" > debian/"$blend"-"$pkg"/usr/share/blends/tasks/"$blend"/"$pkg"
     fi
 
     # if we provide an extra menu which overrides some menus provided by
@@ -32,15 +32,15 @@
     # directory
     [ -d menu ] && [ -d menu/"$pkg" ] && \
 	    if [ `find menu/"$pkg" -maxdepth 1 -name \*.menu | wc -l` -gt 0 ] ; then
-	mkdir -p debian/"$dis"-"$pkg"/"$menudir"
+	mkdir -p debian/"$blend"-"$pkg"/"$menudir"
 	for dep in `find menu/"$pkg" -maxdepth 1 -name \*.menu` ; do
-		cp -a "$dep" debian/"$dis"-"$pkg"/"$menudir"/`basename "$dep" .menu`
+		cp -a "$dep" debian/"$blend"-"$pkg"/"$menudir"/`basename "$dep" .menu`
         done
     fi
 
     # Provide a README.Debian in any case
-    mkdir -p debian/"$dis"-"$pkg"/usr/share/doc/"$dis"-"$pkg"
-    [ ! -s docs/"$pkg"/README.Debian ] && cp -a /usr/share/dis/templates/README.Debian debian/"$dis"-"$pkg"/usr/share/doc/"$dis"-"$pkg"
+    mkdir -p debian/"$blend"-"$pkg"/usr/share/doc/"$blend"-"$pkg"
+    [ ! -s docs/"$pkg"/README.Debian ] && cp -a /usr/share/blends/templates/README.Debian debian/"$blend"-"$pkg"/usr/share/doc/"$blend"-"$pkg"
     # Check for documentation of packages (*.txt or *.html) which should be viewed in
     # case of missing GUI
     [ -d menu ] && [ -d menu/"$pkg" ] && \
@@ -52,76 +52,76 @@
 	    # system cares about whether a sugested package is installed or not
 	    depmenu=`basename ${dep} .txt`
 	    if [ "$depmenu" = `basename ${dep}` ] ; then depmenu=`basename ${dep} .html` ; fi
-	    if ! grep -A 5 "Package: $dis-$pkg" debian/control | grep -q -w "$depmenu" ; then
+	    if ! grep -A 5 "Package: $blend-$pkg" debian/control | grep -q -w "$depmenu" ; then
 		## echo "Package ${depmenu} seems not to be in dependencies"
 		continue
 	    fi
-	    cp -a "$dep" debian/"$dis"-"$pkg"/usr/share/doc/"$dis"-"$pkg"
+	    cp -a "$dep" debian/"$blend"-"$pkg"/usr/share/doc/"$blend"-"$pkg"
 	done
     fi
 
     # if README.Source exits move it into every package
-    [ -s debian/README.source ] && cp -a debian/README.source debian/"$dis"-"$pkg"/usr/share/doc/"$dis"-"$pkg"
+    [ -s debian/README.source ] && cp -a debian/README.source debian/"$blend"-"$pkg"/usr/share/doc/"$blend"-"$pkg"
 
     # post{inst/rm} template are appended if some extra scripts are provided or just created
     # an extra postinst has to be saved (*.stub) and restored by the clean target in
     # debian/rules
-    [ -s debian/"$dis"-"$pkg".postinst.stub ] && cp debian/"$dis"-"$pkg".postinst.stub debian/"$dis"-"$pkg".postinst
-    sed -e "s/#DIS#/${dis}/g" \
-        -e "s/#PKG#/${dis}-${pkg}/g" \
-       /usr/share/dis/templates/postinst >> debian/"$dis"-"$pkg".postinst
-    sed -e "s/#DIS#/${dis}/g" \
-        -e "s/#PKG#/${dis}-${pkg}/g" \
-       /usr/share/dis/templates/postrm >> debian/"$dis"-"$pkg".postrm
+    [ -s debian/"$blend"-"$pkg".postinst.stub ] && cp debian/"$blend"-"$pkg".postinst.stub debian/"$blend"-"$pkg".postinst
+    sed -e "s/#BLEND#/${blend}/g" \
+        -e "s/#PKG#/${blend}-${pkg}/g" \
+       /usr/share/blends/templates/postinst >> debian/"$blend"-"$pkg".postinst
+    sed -e "s/#BLEND#/${blend}/g" \
+        -e "s/#PKG#/${blend}-${pkg}/g" \
+       /usr/share/blends/templates/postrm >> debian/"$blend"-"$pkg".postrm
 done
 
 # if config/config exists use this as general helper script
 if [ -s config/config ] ; then
-  mkdir -p debian/"$dis"-config/usr/bin
-  mkdir -p debian/"$dis"-config/usr/share/man/man1
-  cp -a config/config   debian/"$dis"-config/usr/bin/"$dis"-config
-  cp -a config/config.1 debian/"$dis"-config/usr/share/man/man1/"$dis"-config.1
+  mkdir -p debian/"$blend"-config/usr/bin
+  mkdir -p debian/"$blend"-config/usr/share/man/man1
+  cp -a config/config   debian/"$blend"-config/usr/bin/"$blend"-config
+  cp -a config/config.1 debian/"$blend"-config/usr/share/man/man1/"$blend"-config.1
 
   # install link to package helper script
   for pkg in `ls tasks` ; do
-    mkdir -p debian/"$dis"-"$pkg"/usr/bin
-    mkdir -p debian/"$dis"-"$pkg"/usr/share/man/man1
-    ln -s "$dis"-config debian/"$dis"-"$pkg"/usr/bin/"$dis"-"$pkg"
-    ln -s "$dis"-config.1.gz debian/"$dis"-"$pkg"/usr/share/man/man1/"$dis"-"$pkg".1.gz
+    mkdir -p debian/"$blend"-"$pkg"/usr/bin
+    mkdir -p debian/"$blend"-"$pkg"/usr/share/man/man1
+    ln -s "$blend"-config debian/"$blend"-"$pkg"/usr/bin/"$blend"-"$pkg"
+    ln -s "$blend"-config.1.gz debian/"$blend"-"$pkg"/usr/share/man/man1/"$blend"-"$pkg".1.gz
   done
 fi
 
-# config/conf should really exist for the DIS registry in /etc/dis
+# config/conf should really exist for the Blend registry in /etc/blends
 # currently there is no error message issued if it is missing but
 # this might be reasonable
 if [ -s config/conf ] ; then
-  # Get name of Debian Integrated Solution
+  # Get name of Debian Pure Blend
   . config/conf
-  # Config file should set DISNAME, but if not try to build a useful one
-  if [ _"$DISNAME" = _"" ] ; then
-    DISNAME=Debian-`echo ${dis} | perl -ne 'print "\u\L$_";'`
+  # Config file should set BLENDNAME, but if not try to build a useful one
+  if [ _"$BLENDNAME" = _"" ] ; then
+    BLENDNAME=Debian-`echo ${blend} | perl -ne 'print "\u\L$_";'`
   fi
   # Move templates for user configuration script
   # In case there is a config postinst template, preserve this
-  [ -s debian/"$dis"-config.postinst.stub ] && cp debian/"$dis"-config.postinst.stub debian/"$dis"-config.postinst
-  for comm in `ls /usr/share/dis/templates/config.* /usr/share/dis/templates/apt.conf` ; do
+  [ -s debian/"$blend"-config.postinst.stub ] && cp debian/"$blend"-config.postinst.stub debian/"$blend"-config.postinst
+  for comm in `ls /usr/share/blends/templates/config.* /usr/share/blends/templates/apt.conf` ; do
     commname=`basename $comm`
-    SubstDISName ${commname} ${dis}-${commname}
+    SubstBlendName ${commname} ${blend}-${commname}
   done
   # rename apt.conf.d file 
-  [ -s debian/${dis}-apt.conf ] && mv debian/${dis}-apt.conf debian/90${dis}-config
+  [ -s debian/${blend}-apt.conf ] && mv debian/${blend}-apt.conf debian/90${blend}-config
   if [ -d debian/po.stub ] ; then
       cp -a debian/po.stub debian/po
   else
       mkdir -p debian/po
   fi
-  for po in `ls /usr/share/dis/templates/po/*` ; do
+  for po in `ls /usr/share/blends/templates/po/*` ; do
     poname=`basename $po`
-    SubstDISName po/${poname} po/${poname}
+    SubstBlendName po/${poname} po/${poname}
   done
   [ -d debian/po ] && debconf-updatepo
 
-  # Add common config file for ${dis}
-  mkdir -p debian/"$dis"-config/etc/dis/"$dis"
-  cp -a config/conf debian/"$dis"-config/etc/dis/"$dis"/"$dis".conf
+  # Add common config file for ${blend}
+  mkdir -p debian/"$blend"-config/etc/blends/"$blend"
+  cp -a config/conf debian/"$blend"-config/etc/blends/"$blend"/"$blend".conf
 fi

Modified: cdd/trunk/blends/devtools/rules
==============================================================================
--- cdd/trunk/blends/devtools/rules	(original)
+++ cdd/trunk/blends/devtools/rules	Wed Oct 22 08:11:32 2008
@@ -1,43 +1,43 @@
 #!/usr/bin/make -f
 
 # This is a debian/rules file which builds meta packages
-# for a Debian Integrated Solution.
+# for a Debian Pure Blend.
 #
 # Copyright (C) Andreas Tille <tille at debian.org>
 # License: GPL
 
-DISNAME   := $(shell /usr/share/dis-dev/dis-get-names disname)
-PREFIX    := $(shell /usr/share/dis-dev/dis-get-names metapackageprefix)
-DISMKFILE := /usr/share/dis-dev/Makefile
-DIS_INSTALL_HELPER := /usr/share/dis-dev/dis-install-helper
+BLENDNAME   := $(shell /usr/share/blends-dev/blend-get-names blendname)
+PREFIX      := $(shell /usr/share/blends-dev/blend-get-names metapackageprefix)
+BLENDMKFILE := /usr/share/blends-dev/Makefile
+BLEND_INSTALL_HELPER := /usr/share/blends-dev/blend-install-helper
 
 TARGET_DIST := $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')
-DIS := $(shell /usr/share/dis-dev/dis-get-names disname)
-GENCONTROL := /usr/share/dis-dev/dis-gen-control
+BLEND       := $(shell /usr/share/blends-dev/blend-get-names blendname)
+GENCONTROL  := /usr/share/blends-dev/blend-gen-control
 
-VERSION := $(shell grep '^$(DISNAME) *(.\+)' debian/changelog | head -n 1 | sed 's/^$(DISNAME) \+(\(.\+\)) .*/\1/' )
-DISTDIR := $(DISNAME)-$(VERSION)
+VERSION     := $(shell grep '^$(BLENDNAME) *(.\+)' debian/changelog | head -n 1 | sed 's/^$(BLENDNAME) \+(\(.\+\)) .*/\1/' )
+DISTDIR     := $(BLENDNAME)-$(VERSION)
 
 all:
-	echo $(PREFIX), $(DISNAME)
+	echo $(PREFIX), $(BLENDNAME)
 
 INSTALLREADME := $(shell if test -e README ; then echo "-A README"; fi)
 
 debian/control: 
-	$(MAKE) -f $(DISMKFILE) debian/control
+	$(MAKE) -f $(BLENDMKFILE) debian/control
 
-$(DIS)-tasks.desc:
-	$(MAKE) -f $(DISMKFILE) $(DIS)-tasks.desc
+$(BLEND)-tasks.desc:
+	$(MAKE) -f $(BLENDMKFILE) $(BLEND)-tasks.desc
 
 build: 
 	## Don't build debian/control and tasks.desc at package build time
-	# $(MAKE) -f $(DISMKFILE) all
+	# $(MAKE) -f $(BLENDMKFILE) all
 	dh_testdir
 
 clean:
 	dh_testdir
 	dh_testroot
-	$(MAKE) -f $(DISMKFILE) clean
+	$(MAKE) -f $(BLENDMKFILE) clean
 
 	# Clear apt-get cache
 	rm -rf tmp
@@ -54,11 +54,11 @@
 	# remove auto generated debconf template translations
 	rm -rf debian/po
 	# DO NOT Remove auto generated tasksel descriptions - it sticks to the source
-	# rm -f $(DISNAME)-tasks.desc
+	# rm -f $(BLENDNAME)-tasks.desc
 
 	dh_clean build-stamp
 
-get-orig-source: $(DIS)-tasks.desc debian/control
+get-orig-source: $(BLEND)-tasks.desc debian/control
 	if [ ! -f debian/changelog ] ; then \
 	    echo "File debian/changelog is missing. Something is wrong!" ; \
 	    exit -1 ; \
@@ -75,17 +75,17 @@
 	          --exclude CVS --exclude .svn --exclude svn-commit.tmp . | \
 	    (cd $(DISTDIR); tar xfBp -)
 	rm -f `find $(DISTDIR) -name "*~"`
-	GZIP=-9 tar -czf ../$(DISNAME)_$(VERSION).tar.gz $(DISTDIR)
+	GZIP=-9 tar -czf ../$(BLENDNAME)_$(VERSION).tar.gz $(DISTDIR)
 	rm -rf $(DISTDIR)
 	# remove auto generated files from SVN dir where it should not be stored
-	rm -f debian/control $(DIS)-tasks.desc
+	rm -f debian/control $(BLEND)-tasks.desc
 
 install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	dh_install $(DISNAME)-tasks.desc usr/share/tasksel
+	dh_install $(BLENDNAME)-tasks.desc usr/share/tasksel
 
 # Build architecture-dependent files here.
 # Since Debian Edu builds architecture dependant meta packages
@@ -102,8 +102,8 @@
 	dh_installinfo -a
 	dh_lintian -a
 	if grep -q "^Architecture: \+any" debian/control ; then \
-	    echo "$(DIS_INSTALL_HELPER) for architecture any" ; \
-	    $(DIS_INSTALL_HELPER) ; \
+	    echo "$(BLEND_INSTALL_HELPER) for architecture any" ; \
+	    $(BLEND_INSTALL_HELPER) ; \
 	fi
 	dh_install -a
 	dh_installdebconf -a
@@ -130,8 +130,8 @@
 	dh_installinfo -i
 	dh_lintian -i
 	if grep -q "^Architecture: \+all" debian/control ; then \
-	    echo "$(DIS_INSTALL_HELPER) for architecture all" ; \
-	    $(DIS_INSTALL_HELPER) ; \
+	    echo "$(BLEND_INSTALL_HELPER) for architecture all" ; \
+	    $(BLEND_INSTALL_HELPER) ; \
 	fi
 	dh_install -i
 	dh_installdebconf -i



More information about the Cdd-commits mailing list